package com.elab.spring.config.prop;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 线程配置
 *
 * @author ： liukx
 * @time ： 2020/8/14 - 14:19
 */

@ConfigurationProperties(prefix = "spring.elab.thread")
public class ThreadProperties {

    /**
     * 调度间隔时间
     */
    private Integer schedulingIntervalSecond = 30;
    /**
     * 实时队列大小
     */
    private Integer realQueueSize = 1000;

    /**
     * 核心线程池
     */
    private ThreadPoolProperties threadPool = new ThreadPoolProperties();

    public ThreadPoolProperties getThreadPool() {
        return threadPool;
    }

    public void setThreadPool(ThreadPoolProperties threadPool) {
        this.threadPool = threadPool;
    }

    public Integer getSchedulingIntervalSecond() {
        return schedulingIntervalSecond;
    }

    public void setSchedulingIntervalSecond(Integer schedulingIntervalSecond) {
        this.schedulingIntervalSecond = schedulingIntervalSecond;
    }

    public Integer getRealQueueSize() {
        return realQueueSize;
    }

    public void setRealQueueSize(Integer realQueueSize) {
        this.realQueueSize = realQueueSize;
    }
}
